function OnWarpEnter() 
	SetMarker("cs\\Warp_0211.wp" , 0 , 0)

	ImportAnimationWarp("3D\\cs\\Warp_0009")

	StartAnimation("bca1")
--DAY4
	if ETAT_DAY == "D4" then
		--PlayMusic("Sounds/Musiques/M_Hypnose.ogg")

		if not PuzzlePlanetSolved then
			LookAt(284, 015)
			StartAnimation("bcan",-1)
			AnimationSetToStart("bla1")
			-- Nostradamus dans le lit
			StartAnimationPart("baan",0,60,-1,false)
			-- Nostradamus dans le lit
			SetMarker("baan",4,0)
		end
		if not SAVE_01 then
			-- SAVE
			SAVE_01 = true
			SaveGame("1.xml")
		else
			if not MusicFourthNightLaunched then
				-- it's not the first time we enter here, we may need to launch the correct music
				PlayMusic("Sounds/Musiques/M_Soupcons.ogg")
				MusicFourthNightLaunched = true
			end
		end
	end
end

function OnWarpLeave()
	MusicFourthNightLaunched = false
end

function AskSeparation()

	if ETAT_DAY == "D4" then 
		if ASK_SUSPECT and not SUSPECT_SELECTED then
			PushAnswer("Ma2698") -- Aucun des deux.
			PushAnswer("Ma2699") -- Constance.
			PushAnswer("Ma2700") -- Jean-Aimé.
			PushAnswer("3411") -- [Prendre congé]
			SetMarker("baan", 4, 0)
		else
			PushAnswer("Ma2680") -- T'est-il déjà arrivé de faire plusieurs fois le même rêve ?
			if not SUSPECT_SELECTED then
				PushAnswer("Ma2693") -- Il y a encore eu un mort.
			end
			PushAnswer("3411") -- [Prendre congé]
		end
	end
end

function OnDialogFinished(dialogName)
--DAY4
	if ETAT_DAY == "D4" then

		if dialogName=="No2697" then
			if SUSPECT_SELECTED then
				if suspected == "none" then
					DrawText("Ma2698","Ma2698.ogg",0) -- Aucun des deux.
				elseif suspected == "constance" then
					DrawText("Ma2699","Ma2699.ogg",0) -- Constance.
				elseif suspected == "jean" then
					DrawText("Ma2700","Ma2700.ogg",0) -- Jean-Aimé.
				end
				DrawText("No2701","No2701.ogg",2) -- On verra bien si l'avenir te donne raison, ma fille.
			else
				ASK_SUSPECT = true
				AskSeparation()	
			end
			
		end
		

---Lipsing Day 4 (soir)

		if dialogName == "Ma3121" or dialogName == "Ma3123" or dialogName == "Ma2680" or dialogName == "Ma2683" or dialogName == "Ma2685" or dialogName == "Ma2694" 
		or dialogName == "Ma2696" or dialogName == "Ma2698" or dialogName == "Ma2699" or dialogName == "Ma2700" or dialogName == "Ma2689" then
		StartAnimationPart("baan",60,90,-1,false)
		end

		if dialogName == "No3122" or dialogName == "No3124" or dialogName == "No2681" or dialogName == "No2684" or dialogName == "No2688" or dialogName == "No2695" 
		or dialogName == "No2697" or dialogName == "No2688" or dialogName == "No2691" or dialogName == "No2701" then 
		StartAnimationPart("baan",0,60,-1,false)
		end
		if dialogName == "No2691" or dialogName == "No2701" or dialogName == "Ma3434" then 
		SetMarker("baan", 4, 0)
		end
		if dialogName == "No3124" then
			if SOLVED_CELTIC_LETTERS_PUZZLE then
				AskSeparation()
			end
		end
		if dialogName == "No2688" then
			AskMobile = true
		end

	end
end
-- Los primeros dialogos StartAnimationPart("bban", 220 ,230, -1)
-- 

function OnAnimationFinished(objectName)
end

function OnAnswered(textId)

	if textId == "Ma2680" then -- T'est-il déjà arrivé de faire plusieurs fois le même rêve ?
			StartAnimationPart("baan",60,90,-1,false)
			DrawText("No2681","No2681.ogg",2) -- De quel genre de rêve parles-tu ?
			DrawText("Ma2682","Ma2682.ogg",0) -- J'ai vu Philibert, le bibliothécaire du château. Il était mort et pourtant il me regardait. Dans certaines visions il était simplement assis, les yeux rivés vers moi.
			DrawText("Ma2683","Ma2683.ogg",0) -- Mais dans d'autres, je l'ai vu me faire signe de le suivre dans une galerie comme celle que j'ai découverte aujourd'hui sous le scriptorium.
			DrawText("No2684","No2684.ogg",2) -- C'est troublant. Je n'ai dû faire qu'une seule fois ce genre de songe et c'était après avoir trouvé le fragment de pierre gravée.
			DrawText("Ma2685","Ma2685.ogg",0) -- Cette même pierre qui provenait du mur de la galerie, tout comme celle de Philibert d'ailleurs.
			DrawText("No2686","No2686.ogg",2) -- A croire que quelque chose cherche à nous interpeller, et toi tout particulièrement.
			DrawText("No2687","No2687.ogg",2) -- Je vais tenter de comprendre ce qui se passe, mais avant, j'ai encore besoin de ton aide.
			DrawText("No2688","No2688.ogg",2) -- Je dois travailler cette nuit dans mon observatoire, mais tout est sans dessus dessous. 
			DrawText("Ma2689","Ma2689.ogg",0) -- J'ai compris, je vais m'y attaquer.
			DrawText("No2691","No2691.ogg",2) -- Merci Madeleine, je ne sais pas ce que j'aurais fait sans toi.
		end
		if textId == "Ma2693" then -- Il y a encore eu un mort. 
			DrawText("Ma2694","Ma2694.ogg",0) -- Cette fois c'était le scribe, j'étais pourtant certaine qu'il faisait partie du complot.
			DrawText("No2695","No2695.ogg",2) -- Tu ne t'es peut-être pas trompée. Il a pu devenir gênant.
			DrawText("Ma2696","Ma2696.ogg",0) -- Peut-être. Mais dans ce cas, il ne reste que deux suspects : Jean-Aimé et Constance.
			DrawText("No2697","No2697.ogg",2) -- Et lequel crois-tu coupable ?
			AskSeparation()
		end
	if textId == "Ma2698" then -- Aucun des deux.
		SUSPECT_SELECTED = true
		ASK_SUSPECT = false
		suspected = "none" 
		StartAnimationPart("baan",60,90,-1,false)
		DrawText("No2701","No2701.ogg",2) -- On verra bien si l'avenir te donne raison, ma fille. 
	elseif textId == "Ma2699" then -- Constance.
		SUSPECT_SELECTED = true
		ASK_SUSPECT = false
		suspected = "constance" 
		StartAnimationPart("baan",60,90,-1,false)
		DrawText("No2701","No2701.ogg",2) -- On verra bien si l'avenir te donne raison, ma fille. 
	elseif textId == "Ma2700" then -- Jean-Aimé.
		SUSPECT_SELECTED = true
		ASK_SUSPECT = false
		suspected = "jean" 
		StartAnimationPart("baan",60,90,-1,false)
		DrawText("No2701","No2701.ogg",2) -- On verra bien si l'avenir te donne raison, ma fille. 
	end
	if textId == "3411" then -- [Prendre congé]
		SetMarker("bban",4,0)
	end	
	
end


function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0211.wp" then 
		if ETAT_DAY == "D3" then
			if not NOSTRADAMUS_GIVE_KEY_D3 then
				SetMarker("bban", -1, 0)
				DrawText("No2342","No2342.ogg",2) -- Madeleine !
			else
				ChangeWarp(objectName)
			end
		else
			ChangeWarp(objectName)
		end
	end

	if ETAT_DAY == "D4" then

		-- Nostradamus sur la chaise
		if objectName == "baan" then
			-- Nostradamus sur la chaise
			SetMarker("baan",-1,0)
			if SOLVED_CELTIC_LETTERS_PUZZLE then
				if not TALK_NOSTRADAMUS_09_D4 then
					DrawText("Ma3121","Ma3121.ogg",0) -- Bonsoir.
					DrawText("No3122","No3122.ogg",2) -- Bonsoir Madeleine, tu sembles fatiguée. 
					DrawText("Ma3123","Ma3123.ogg",0) -- On peut dire ça, et toi comment te portes-tu ce soir ?
					DrawText("No3124","No3124.ogg",2) -- Ça va mieux je dois dire, et je suis impatient de t'écouter.
					TALK_NOSTRADAMUS_09_D4 = true
				else
					 AskSeparation()
				end
			else
				if not TALK_NOSTRADAMUS_09_D4 then
					TALK_NOSTRADAMUS_09_D4 = true
					DrawText("Ma3121","Ma3121.ogg",0) -- Bonsoir.
					DrawText("No3122","No3122.ogg",2) -- Bonsoir Madeleine, tu sembles fatiguée. 
					DrawText("Ma3123","Ma3123.ogg",0) -- On peut dire ça, et toi comment te portes-tu ce soir ?
					DrawText("No3124","No3124.ogg",2) -- Ça va mieux je dois dire, et je suis impatient de t'écouter.
					DrawText("Ma3434","Ma3434.ogg",0) -- J'ai quelque chose à tirer au clair auparavant. J'ai trouvé des symboles, et j'ai la conviction que je peux les traduire.
				else
					DrawText("Ma3434","Ma3434.ogg",0) -- J'ai quelque chose à tirer au clair auparavant. J'ai trouvé des symboles, et j'ai la conviction que je peux les traduire.
				end
			end
		end
	end
			

end
